Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDateTimeEdit Class Reference

The QDateTimeEdit class combines a QDateEdit and QTimeEdit widget into a single widget for editing datetimes. More...

`#include <qdatetimeedit.h>`

Inherits QWidget.

List of all member functions.

## Public Members

- QDateTimeEdit ( QWidget * parent = 0, const char * name = 0 )
- QDateTimeEdit ( const QDateTime & datetime, QWidget * parent = 0, const char * name = 0 )
- ~QDateTimeEdit ()
- virtual void setDateTime ( const QDateTime & dt )
- QDateTime dateTime () const
- QDateEdit * dateEdit ()
- QTimeEdit * timeEdit ()
- virtual void setAutoAdvance ( bool advance )
- bool autoAdvance () const

## Signals

- void valueChanged ( const QDateTime & datetime )

## Properties

- QDateTime dateTime - the editor's datetime value

## Detailed Description

The QDateTimeEdit class combines a QDateEdit and QTimeEdit widget into a single widget for editing datetimes.

QDateTimeEdit consists of a QDateEdit and QTimeEdit widget placed side by side and offers the functionality of both. The user can edit the date and time by using the keyboard or the arrow keys to increase/decrease date or time values. The Tab key can be used to move from section to section within the QDateTimeEdit widget, and the user can be moved automatically when they complete a section using setAutoAdvance(). The datetime can be set with setDateTime().

The date format is read from the system's locale settings. It is set to year, month, day order if that is not possible. See QDateEdit::setOrder() to change this. Times appear in the order hours, minutes, seconds using the 24 hour clock.

It is recommended that the QDateTimeEdit is initialised with a datetime, e.g.

        QDateTimeEdit *dateTimeEdit = new QDateTimeEdit( QDateTime::currentDateTime(), this );
        dateTimeEdit->dateEdit()->setRange( QDateTime::currentDate(),
                                            QDateTime::currentDate().addDays( 7 ) );

Here we've created a new QDateTimeEdit set to the current date and time, and set the date to have a minimum date of now and a maximum date of a week from now.

Terminology: A QDateEdit widget consists of three 'sections', one each for the year, month and day. Similarly a QTimeEdit consists of three sections, one each for the hour, minute and second. The character that separates each date section is specified with setDateSeparator(); similarly setTimeSeparator() is used for the time sections.

See also QDateEdit, QTimeEdit, Advanced Widgets and Time and Date.

## Member Function Documentation

### QDateTimeEdit::QDateTimeEdit ( QWidget * parent = 0, const char * name = 0 )

Constructs an empty datetime edit with parent parent and called name.

### QDateTimeEdit::QDateTimeEdit ( const QDateTime & datetime, QWidget * parent = 0, const char * name = 0 )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Constructs a datetime edit with the initial value datetime, parent parent and called name.

### QDateTimeEdit::~QDateTimeEdit ()

Destroys the object and frees any allocated resources.

### bool QDateTimeEdit::autoAdvance () const

Returns TRUE if auto-advance is enabled, otherwise returns FALSE.

See also setAutoAdvance().

### QDateEdit * QDateTimeEdit::dateEdit ()

Returns the internal widget used for editing the date part of the datetime.

### QDateTime QDateTimeEdit::dateTime () const

Returns the editor's datetime value. See the "dateTime" property for details.

### void QDateTimeEdit::setAutoAdvance ( bool advance )`[virtual]`

Sets the auto advance property of the editor to advance. If set to TRUE, the editor will automatically advance focus to the next date or time section if the user has completed a section.

### void QDateTimeEdit::setDateTime ( const QDateTime & dt )`[virtual]`

Sets the editor's datetime value to dt. See the "dateTime" property for details.

### QTimeEdit * QDateTimeEdit::timeEdit ()

Returns the internal widget used for editing the time part of the datetime.

### void QDateTimeEdit::valueChanged ( const QDateTime & datetime )`[signal]`

This signal is emitted every time the date or time changes. The datetime argument is the new datetime.

## Property Documentation

### QDateTime dateTime

This property holds the editor's datetime value.

The datetime edit's datetime which may be an invalid datetime.

Set this property's value with setDateTime() and get this property's value with dateTime().

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.